Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ListValidatorsAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ListValidatorsAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

Direct Known Subclasses:
  ShowValidatorAction

    public class ListValidatorsAction

extends com.opensymphony.xwork2.ActionSupport

ListValidatorsAction loads the validations for a given class and context

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ListValidatorsAction()`

Method Summary
`String` | `execute()`
`String` | `getClazz()`
`String` | `getContext()`
`List` | `getValidators()`
`String` | `index()` Index action to support cooperation with REST plugin
`protected void` | `loadValidators()`
`void` | `setActionValidatorManager(com.opensymphony.xwork2.validator.ActionValidatorManager mgr)`
`void` | `setClazz(String clazz)`
`void` | `setContext(String context)`
`String` | `stripPackage(Class clazz)`
`String` | `stripPackage(String clazz)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getFormatted, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListValidatorsAction

    public ListValidatorsAction()

Method Detail

### setActionValidatorManager

    public void setActionValidatorManager(com.opensymphony.xwork2.validator.ActionValidatorManager mgr)

### getClazz

    public String getClazz()

### setClazz

    public void setClazz(String clazz)

### stripPackage

    public String stripPackage(Class clazz)

### stripPackage

    public String stripPackage(String clazz)

### getContext

    public String getContext()

### setContext

    public void setContext(String context)

### getValidators

    public List getValidators()

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `Exception`

### index

    public String index()
                 throws Exception

  Index action to support cooperation with REST plugin

  Returns:
    action result
  Throws:
    `Exception`

### loadValidators

    protected void loadValidators()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.